Subject: Re: Seeking Cygwin installer for the simpleminded
From: Nathan Meyers <[email-masked]>
To: Joshua Franklin <[email-masked]>
Cc: [email-masked]
Date: Mon, 17 Sep 2001 12:15:38 -0700

Wow... thanks to all who have responded!

I've had a slight course correction. My original problem was to deliver
Perl for instructional use, and I didn't realize at the time that it's
pretty easy to build a native Windows version (I thought I had to rely
on ActiveState and its expensive redistribution terms). So I don't have
the Cygwin dependence I thought I did. But I have a lot of new (and
necessary) information on installation options, and I thank everyone
who helped enlighten me.

Nathan Meyers
[email-masked]

On Mon, Sep 17, 2001 at 11:54:08AM -0700, Joshua Franklin wrote:
> I've done it, too. I was working in bit of network
> space and wanted the basics of Cygwin without using
> much disk space. I used Nullsoft's Free installer,
> NSIS:
> 
> http://www.nullsoft.com/free/
> 
> I decided my "cygwin lite" might possibly be useful
> enough for other people to use so I put up a
> SourceForge project page.
> The stuff is still up there at:
> 
> http://cygwin-lite.sourceforge.net/
> 
> Basically it just installs a "snapshot" of a full
> Cygwin to C:\cygwin and writes the correct registry
> entries (if you want it anywhere else, too bad). But,
> I also included basic instructions on how to build
> your own installer. A warning, though: it's a bit out
> of date right now as the newer DLL's took up more
> space so that it wouldn't fit on a floppy anymore :(
> I was still pondering whether to drop my tiny-vim or
> what.
> 
>  Mon, 17 Sep 2001 08:13:16 -0400 
> From: [email-masked] 
> To: Nathan Meyers <[email-masked]> 
> CC: [email-masked] 
> Subject: Re: Seeking Cygwin installer for the
> simpleminded 
> 
> 
> I have done such a thing.  What I use on my
> installation server
> is a shared drive which contains a copy of bash, a
> copy of
> cygwin1.dll, a copy of tar, a copy of gzip.exe ( not
> gunzip.exe,
> tar uses gzip.exe if you do tar -xzf ), a set of
> various scripts,
> and some tarballs, specificly one for each drive in
> our standard
> configuration.  The cygwin executables are just
> included in the
> 'd-drive.tgz' tarball, except for the aformentioned
> ones.
> (Actually, there are redundant copies of those in that
> tarball,
> as well).
> 
> 
> Anyway, I'll make the pertinant parts available to you
> if you
> wish.  The batch file that starts the whole thing is
> called
> 'monkey.bat', in reference to Lost in Space: "And the
> monkey
> pushes the button".
> 
> 
> 
> On Fri, Sep 14, 2001 at 08:48:19AM -0700, Nathan
> Meyers wrote:
> > Hello,
> > 
> > I'm looking for a way to deliver a few Cygwin
> components (library +
> > an app or two) for use with a class I'll be
> teaching, and I'm hoping
> > to find or build the most foolproof, dummy-proof
> delivery possible:
> > something requiring the fewest actions and decisions
> by the end user.
> > 
> > What I'm hoping for is something like a combination
> of an unzipsfx
> > self-installing archive and the Cygwin install
> utility - with almost
> > all decisions (what to install, where to get the
> bits, etc.) 
> controlled
> > a script or other preconfiguration.
> > 
> > It looks like the way for me to get there is to hack
> together some
> > combination of unzip and the Cygwin installer - but
> I'm wondering if
> > anyone has already created such a beast.
> > 
> > Nathan Meyers
> > [email-masked]
> > 
> > --
> > Unsubscribe info:     
> http://cygwin.com/ml/#unsubscribe-simple
> > Bug reporting:         http://cygwin.com/bugs.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
> > 
> 
> 
> 
> __________________________________________________
> Terrorist Attacks on U.S. - How can you help?
> Donate cash, emergency relief information
> http://dailynews.yahoo.com/fc/US/Emergency_Information/
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

-- 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/